QGIS Application - Bug report #15042
DB Manager: cannot drag and drop GeoPackage tables
2016-06-16 06:51 AM - Jérome Guélat

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.3 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22987
Description

After connecting to a GeoPackage in DB Manager, it is not possible to drag and drop tables on the canvas. | think this was working in 2.12
or2.10...

Error message: "Layer is not valid: The layer C is not a valid layer and can not be added to the map”

History

#1 - 2016-06-18 10:44 AM - Even Rouault

Works for me on 2.14-branch and master.

#2 - 2016-06-21 12:36 AM - Jérome Guélat

Thanks for having a look at it... This is really strange. | definitely get an error message if | use drag and drop (but it works if | right-click on the table table
and choose "Add to canvas").

#3 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#4 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown

#5 - 2019-03-09 03:08 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

2025-06-15 12



http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
